Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.ivy
[Groovy] Class IvyGraphNode

    java.lang.Object
      org.codehaus.groovy.grails.resolve.reporting.GraphNode
          org.codehaus.groovy.grails.resolve.ivy.IvyGraphNode

    @groovy.transform.CompileStatic
    class IvyGraphNode
    extends GraphNode

Adapts an Ivy graph into a Grails one.

Authors:
  Graeme Rocher

Since:
  2.3

Constructor Summary
`IvyGraphNode(org.apache.ivy.core.report.ResolveReport report)`

Method Summary
`void` | `createGraph(GraphNode current, java.util.Collection nodes, java.lang.String[] confs)`

Methods inherited from class GraphNode
toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### IvyGraphNode

    IvyGraphNode(org.apache.ivy.core.report.ResolveReport report)

Method Detail

### createGraph

    void createGraph(GraphNode current, java.util.Collection nodes, java.lang.String[] confs)

Groovy Documentation